GA
API & MCPDoiciméadúchán

Ardán Gníomhairí agus API Mariner GPS Tools

Ríomh treo-uillinn fhíor thosaigh

Ríomh an treo-uillinn fhíor thosaigh ó shuíomh amháin go suíomh eile.

Comhéadain

POST
Críochphointe REST/api/v1/bearing
MCP
Ainm uirlisecalculate_bearing

Iarratas

Seol an t-iarratas mar JSON. Pasann cliaint MCP na réimsí céanna le hargóintí uirlisí.

cURLshell
curl -X POST https://marinergps.tools/api/v1/bearing \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}'
Comhlacht iarrataisjson
{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}

Freagra

Fillteann REST an toradh ríofa sa chlúdach caighdeánach rathúlachta. Tugann MCP na sonraí ríofa céanna ar ais mar aschur struchtúrtha uirlise.

JSON
{
  "ok": true,
  "data": {
    "degrees": 112.54786806700503,
    "compass": "ESE"
  }
}

Scéimeanna

Léiríonn na sainmhínithe thíos Scéimre JSON iomlán a úsáidtear chun ionchuir a bhailíochtú agus chun cur síos a dhéanamh ar aschuir.

Scéimre ionchuir

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "from": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    },
    "to": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    }
  },
  "required": [
    "from",
    "to"
  ]
}

Scéimre aschuir

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "degrees": {
      "type": "number"
    },
    "compass": {
      "type": "string"
    }
  },
  "required": [
    "degrees",
    "compass"
  ]
}

Torthaí tagarmhairc MCP

Tomhaiste don uirlis seo le freastalaí MCP Mariner GPS Tools ceangailte agus gan é.

92%níos lú comharthaí ginte ag an tsamhailAirmheán don uirlis seo thar 8 as 9 samhail a raibh dóthain torthaí bonnlíne cearta acu le haghaidh comparáide.
5.2×níos tapúla i dtagarmharcannaAirmheán don uirlis seo thar 8 as 9 samhail a raibh dóthain torthaí bonnlíne cearta acu le haghaidh comparáide.
100%ceart le MCP, i gcoinne 93.5% gan uirlisí108/108 breathnú MCP don uirlis seo laistigh den lamháltas.

Tomhaiste Meán Fómhair 2026 · 9 samhail · 4 chás loingseoireachta · 3 athdhéanamh · 216 bhreathnú · MCP táirgeachta

Doiciméid API & MCP